> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get identity provider details

> Get a single identity provider including its claim/group mappers.



## OpenAPI

````yaml get /api/identity-providers/{alias}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/identity-providers/{alias}:
    get:
      tags:
        - Identity providers
      summary: Get identity provider details
      description: Get a single identity provider including its claim/group mappers.
      operationId: get_identity_provider_api_identity_providers__alias__get
      parameters:
        - name: alias
          in: path
          required: true
          schema:
            type: string
            title: Alias
      responses:
        '200':
          description: Identity provider with mappers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IdpDetailResponse'
        '403':
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    IdpDetailResponse:
      properties:
        alias:
          type: string
          title: Alias
        display_name:
          type: string
          title: Display Name
        provider_id:
          type: string
          title: Provider Id
        enabled:
          type: boolean
          title: Enabled
        internal_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Internal Id
        known_provider:
          anyOf:
            - $ref: '#/components/schemas/KnownProvider'
            - type: 'null'
        config:
          additionalProperties: true
          type: object
          title: Config
          description: Provider configuration. NexusOne masks the secrets.
        mapper_count:
          type: integer
          title: Mapper Count
          description: Number of configured mappers.
          default: 0
        mappers:
          items:
            $ref: '#/components/schemas/IdpMapperConfig'
          type: array
          title: Mappers
      type: object
      required:
        - alias
        - display_name
        - provider_id
        - enabled
      title: IdpDetailResponse
      description: Detailed response including mappers.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KnownProvider:
      type: string
      enum:
        - okta
        - entra_id
        - auth0
        - google
        - github
        - ping_identity
        - onelogin
        - custom_oidc
        - custom_saml
        - active_directory
      title: KnownProvider
    IdpMapperConfig:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Mapper ID. It's set by Keycloak and omits on create.
        name:
          type: string
          title: Name
          description: Mapper name. For example, `email-mapper`.
        identity_provider_mapper:
          type: string
          title: Identity Provider Mapper
          description: >-
            Mapper type. For example, `oidc-user-attribute-idp-mapper` or
            `saml-user-attribute-idp-mapper`.
        config:
          additionalProperties: true
          type: object
          title: Config
          description: >-
            Mapper config. It's keys vary by mapper types, such as `syncMode`,
            `claim`, or `user.attribute`.
      type: object
      required:
        - name
        - identity_provider_mapper
      title: IdpMapperConfig
      description: A single IdP mapper for claim or attribute mapping.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````